summaryrefslogtreecommitdiffstats
path: root/graphics/ufraw/ufraw.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/ufraw/ufraw.SlackBuild')
-rw-r--r--graphics/ufraw/ufraw.SlackBuild17
1 files changed, 6 insertions, 11 deletions
diff --git a/graphics/ufraw/ufraw.SlackBuild b/graphics/ufraw/ufraw.SlackBuild
index 3cf6e80d60..d6f4732e1b 100644
--- a/graphics/ufraw/ufraw.SlackBuild
+++ b/graphics/ufraw/ufraw.SlackBuild
@@ -3,7 +3,7 @@
# Slackware Package Build Script for UFRaw (Unidentified Flying Raw)
# Home Page http://ufraw.sourceforge.net/
-# Copyright (c) 2007-2009, Nishant Limbachia, Hoffman Est, IL, USA (nishant@mnspace.net)
+# Copyright (c) 2007-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
# Copyright (c) 2007, Robby Workman <rworkman@slackbuilds.org>
# All rights reserved.
#
@@ -26,7 +26,7 @@
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ufraw
-VERSION=0.16
+VERSION=0.17
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,12 +35,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "${LENSFUN:-no}" = "no" ]; then
- lensfun_option="--without-lensfun"
-else
- lensfun_option="--with-lensfun"
-fi
-
if [ "${GTK:-yes}" = "yes" ]; then
gtk_option="--with-gtk"
else
@@ -82,15 +76,16 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--enable-mime \
--build=$ARCH-slackware-linux \
- $lensfun_option \
$gtk_option
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
# Compress man pages